## prefix 0.3

=== Makefile ===
PKGNAME = postgresql-8.3-prefix
PKGVERS = 0.3

DEBDIR = /tmp/$(PKGNAME)
EXPORT = $(DEBDIR)/export/$(PKGNAME)-$(PKGVERS)
ORIG   = $(DEBDIR)/export/prefix_$(PKGVERS).orig.tar.gz
ARCHIVE= $(DEBDIR)/export/$(PKGNAME)-$(PGKVERS).tar.gz

MODULES = prefix
DATA_built = prefix.sql
DOCS = $(patsubst %.txt,%.html,$(wildcard *.txt))

PGXS = $(shell pg_config --pgxs)
include $(PGXS)

html: $(DOCS)

%.html:%.txt
	asciidoc -a toc $<

site: html
	scp ${DOCS} cvs.pgfoundry.org:/home/pgfoundry.org/groups/prefix/htdocs

deb:
	# working copy from where to make the .orig archive
	rm -rf $(DEBDIR)	
	mkdir -p $(DEBDIR)/$(PKGNAME)-$(PKGVERS)
	mkdir -p $(EXPORT)
	cp -a . $(EXPORT)

	# get rid of temp and build files
	for n in ".#*" "*~" "build-stamp" "configure-stamp" "prefix.sql" "prefix.so"; do \
	  find $(EXPORT) -name "$$n" -print0|xargs -0 echo rm -f; \
	  find $(EXPORT) -name "$$n" -print0|xargs -0 rm -f; \
	done

	# get rid of CVS dirs
	for n in "CVS" "CVSROOT"; do \
	  find $(EXPORT) -type d -name "$$n" -print0|xargs -0 rm -rf; \
	  find $(EXPORT) -type d -name "$$n" -print0|xargs -0 rm -rf; \
	done

	# prepare the .orig without the debian/ packaging stuff
	cp -a $(EXPORT) $(DEBDIR)
	rm -rf $(DEBDIR)/$(PKGNAME)-$(PKGVERS)/debian
	(cd $(DEBDIR) && tar czf $(ORIG) $(PKGNAME)-$(PKGVERS))

	# have a copy of the $ORIG file named $ARCHIVE for non-debian packagers
	cp $(ORIG) $(ARCHIVE)

	# build the debian package and copy them to ..
	(cd $(EXPORT) && debuild)
	cp -a $(DEBDIR)/export/prefix* ..
	cp -a $(DEBDIR)/export/$(PKGNAME)[_-]$(PKGVERS)??[._]* ..
	cp -a $(ARCHIVE) ..
	cp -a $(ORIG) ..

## prefix 1.1.0

=== Makefile ===
PKGNAME = prefix
PKGVERS = 1.1.0

DEBDIR = /tmp/$(PKGNAME)
EXPORT = $(DEBDIR)/export/$(PKGNAME)-$(PKGVERS)
ORIG   = $(DEBDIR)/export/$(PKGNAME)_$(PKGVERS).orig.tar.gz
ARCHIVE= $(DEBDIR)/export/$(PKGNAME)-$(PKGVERS).tar.gz
DEBEXTS= {gz,changes,build,dsc}

MODULES = prefix
DATA_built = prefix.sql
DOCS = $(wildcard *.txt)

# support for 8.1 which didn't expose PG_VERSION_NUM -- another trick from ip4r
PREFIX_PGVER = $(shell echo $(VERSION) | awk -F. '{ print $$1*100+$$2 }')
PG_CPPFLAGS  = -DPREFIX_PGVER=$(PREFIX_PGVER)

PG_CONFIG ?= pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

.PHONY: html site deb

html: ${DOCS:.txt=.html}

%.html:%.txt
	asciidoc -a toc $<

site: html
	scp ${DOCS:.txt=.html} cvs.pgfoundry.org:/home/pgfoundry.org/groups/prefix/htdocs

deb:
	# working copy from where to make the .orig archive
	rm -rf $(DEBDIR)	
	mkdir -p $(DEBDIR)/$(PKGNAME)-$(PKGVERS)
	mkdir -p $(EXPORT)
	rsync -Ca . $(EXPORT)

	# get rid of temp and build files
	for n in ".#*" "*~" "build-stamp" "configure-stamp" "prefix.sql" "prefix.so"; do \
	  find $(EXPORT) -name "$$n" -print0|xargs -0 rm -f; \
	done

	# prepare the .orig without the debian/ packaging stuff
	rsync -Ca $(EXPORT) $(DEBDIR)
	rm -rf $(DEBDIR)/$(PKGNAME)-$(PKGVERS)/debian
	(cd $(DEBDIR) && tar czf $(ORIG) $(PKGNAME)-$(PKGVERS))

	# have a copy of the $ORIG file named $ARCHIVE for non-debian packagers
	cp $(ORIG) $(ARCHIVE)

	# build the debian package and copy them to ..
	(cd $(EXPORT) && debuild)

	cp -a $(DEBDIR)/export/*.deb ..
	cp -a $(DEBDIR)/export/$(PKGNAME)[_-]$(PKGVERS)*.$(DEBEXTS) ..
	cp -a $(ARCHIVE) ..
	cp -a $(ORIG) ..

## prefix 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 PKGNAME = prefix
-PKGVERS = 1.1.0
+PKGVERS = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')
+EXTVERS = $(shell awk -F "[= ']" '/default_version/ {print $$5}' prefix.control)
 
 DEBDIR = /tmp/$(PKGNAME)
 EXPORT = $(DEBDIR)/export/$(PKGNAME)-$(PKGVERS)
@@ -8,7 +9,7 @@
 DEBEXTS= {gz,changes,build,dsc}
 
 MODULES = prefix
-DATA_built = prefix.sql
+DATA = prefix.sql
 DOCS = $(wildcard *.txt)
 
 # support for 8.1 which didn't expose PG_VERSION_NUM -- another trick from ip4r
@@ -37,7 +38,7 @@
 	rsync -Ca . $(EXPORT)
 
 	# get rid of temp and build files
-	for n in ".#*" "*~" "build-stamp" "configure-stamp" "prefix.sql" "prefix.so"; do \
+	for n in ".#*" "*~" "build-stamp" "configure-stamp" "prefix.so"; do \
 	  find $(EXPORT) -name "$$n" -print0|xargs -0 rm -f; \
 	done
 
@@ -46,13 +47,14 @@
 	rm -rf $(DEBDIR)/$(PKGNAME)-$(PKGVERS)/debian
 	(cd $(DEBDIR) && tar czf $(ORIG) $(PKGNAME)-$(PKGVERS))
 
-	# have a copy of the $ORIG file named $ARCHIVE for non-debian packagers
+	# have a copy of the $$ORIG file named $$ARCHIVE for non-debian packagers
 	cp $(ORIG) $(ARCHIVE)
 
 	# build the debian package and copy them to ..
-	(cd $(EXPORT) && debuild)
+	(cd $(EXPORT) && touch debian/control.in && debuild)
 
+	cp $(EXPORT)/debian/control debian
 	cp -a $(DEBDIR)/export/*.deb ..
-	cp -a $(DEBDIR)/export/$(PKGNAME)[_-]$(PKGVERS)*.$(DEBEXTS) ..
+	find $(DEBDIR)/export -name "*.$(DEBEXTS)" -print0| xargs -0 -I% cp -a % ..
 	cp -a $(ARCHIVE) ..
 	cp -a $(ORIG) ..

=== debian/changelog ===
prefix (1.1.1-1.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-prefix-source-distribution=sid-3, git
    revision 828c8b8b083266e27f55b6cc6f2a3c9f34bc0c58)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Sun, 26 Aug 2012 19:44:34 +0200

prefix (1.1.1-1) unstable; urgency=low

  * Test against 9.0 and 9.1
  * Package now supports 8.3 8.4 9.0 and 9.1 out of the box (Closes: #639479)
  * Fix README to ORDER BY length DESC
  * Fix a bug in intersect code, so that 123 & 123[4-5] is 123[4-5]

 -- Dimitri Fontaine <dim@tapoueh.org>  Fri, 12 Mar 2010 11:19:42 +0100

prefix (1.1.0-2) unstable; urgency=low

  * Support pgversions and pgxs_debian_control (Closes: #559610)

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 11 Jan 2010 12:28:34 +0100

prefix (1.1.0-1) unstable; urgency=high

  * Fix Btree opclass for supporting sub-ranges

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 30 Nov 2009 10:02:40 +0100

prefix (1.0.0-1) unstable; urgency=low

  * Release 1.0.0
  * unset DEBUG in prefix.c
  * penalty only barfs about non digit if DEBUG_PENALTY is set

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 06 Oct 2009 10:43:21 +0200

prefix (1.0~rc2-1) unstable; urgency=low

  * Fix debian packaging of multiple binary from same source, using VPATH build

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 08 Jul 2009 10:25:42 +0200

prefix (1.0~rc1-1) unstable; urgency=low

  * Some more documentation (operators)
  * Fix (again) the < and > operators for BTree support, refactor the code

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 23 Jun 2009 09:41:07 +0200

prefix (1.0~dev1-1) unstable; urgency=low

  * Change prefix_range_out to stop displaying useless and confusing []
  * Added support for GiST index lookups for operators <@, =, &&
  * Added detection of version 8.1 of PostgreSQL, similar to ip4r
  * Fixed wrong build dependancy to README.html
  * Support new 8.4 consistent function signature, handle recheck in the C code

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 04 Jun 2009 14:49:51 +0200

prefix (0.4-1~dev2) unstable; urgency=low

  * Support for PostgreSQL 8.4 (beta1 is released)
  * Clean (at long last) pg_qsort function pointer argument type (warning free)

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 13 May 2009 10:25:19 +0200

prefix (0.4-1~dev1) unstable; urgency=low

  * Support for PostgreSQL 8.1 (missing build support --- detection)
  * Add commutator/negator etc. for BTree involved operators
  * Improve the weak ordering of < and > for values sharing a common prefix

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 28 Apr 2009 18:01:57 +0200

prefix (0.3-1) unstable; urgency=low

  * Cleanup: text based prefix indexing is no more needed
  * Debian packaging and ITP (Closes: #492692)

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 28 Jul 2008 11:06:35 +0200

prefix (0.2-1) unstable; urgency=low

  * Initial release

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 22 Apr 2008 11:42:09 +0200

=== debian/control ===
Source: prefix
Section: database
Priority: extra
Maintainer: Dimitri Fontaine <dim@tapoueh.org>
Build-Depends: debhelper (>= 7), postgresql-server-dev-all
Standards-Version: 3.9.2

Package: postgresql-8.3-prefix
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-8.3
Description: Prefix Range module for PostgreSQL
 This PostgreSQL module provides the prefix_range datatype, allowing to
 index searches such as finding the longest prefix matching a telephone
 number, having prefixes in a table and telephone number as a parameter:
 .
  select * from prefixes where prefix @> '0100091234';
 .
 The prefix column has to be of type prefix_range, and any text field
 can get indexed by the provided GiST opclass.

Package: postgresql-8.4-prefix
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-8.4
Description: Prefix Range module for PostgreSQL
 This PostgreSQL module provides the prefix_range datatype, allowing to
 index searches such as finding the longest prefix matching a telephone
 number, having prefixes in a table and telephone number as a parameter:
 .
  select * from prefixes where prefix @> '0100091234';
 .
 The prefix column has to be of type prefix_range, and any text field
 can get indexed by the provided GiST opclass.

Package: postgresql-9.0-prefix
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.0
Description: Prefix Range module for PostgreSQL
 This PostgreSQL module provides the prefix_range datatype, allowing to
 index searches such as finding the longest prefix matching a telephone
 number, having prefixes in a table and telephone number as a parameter:
 .
  select * from prefixes where prefix @> '0100091234';
 .
 The prefix column has to be of type prefix_range, and any text field
 can get indexed by the provided GiST opclass.

Package: postgresql-9.1-prefix
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.1
Description: Prefix Range module for PostgreSQL
 This PostgreSQL module provides the prefix_range datatype, allowing to
 index searches such as finding the longest prefix matching a telephone
 number, having prefixes in a table and telephone number as a parameter:
 .
  select * from prefixes where prefix @> '0100091234';
 .
 The prefix column has to be of type prefix_range, and any text field
 can get indexed by the provided GiST opclass.

## prefix 1.2.1

=== debian/changelog ===
prefix (1.2.1-1.pgdg10.4+1) lucid-pgdg; urgency=low

  * Rebuild for lucid-pgdg (jenkins-prefix-source-distribution=lucid-12,
    git revision 3bb1fea14206fcb248ca24c066819ee27e24df15)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Mon, 04 Nov 2013 13:42:13 +0100

prefix (1.2.1-1) unstable; urgency=low

  * debian/rules: Use "pg_buildext loop".
  * Use "all" in debian/pgversions and B-D on pg-server-dev >= 148.
  * Add regression tests and run them using autopkgtest.
  * Add watch file.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Tue, 26 Feb 2013 20:24:08 +0100

prefix (1.2.0-1) experimental; urgency=low

  [ Dimitri Fontaine ]
  * Fix GiST consisten function in non-leaf nodes (Closes: #690160)
  * Refactors as a real PostgreSQL Extension
  * Add explicit compatibility with PostgreSQL 9.2 and 9.3devel

  [ Christoph Berg ]
  * Add Vcs headers
  * Upload to experimental

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 15 Oct 2012 11:52:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,12 @@
 Section: database
 Priority: extra
 Maintainer: Dimitri Fontaine <dim@tapoueh.org>
-Build-Depends: debhelper (>= 7), postgresql-server-dev-all
-Standards-Version: 3.9.2
-
-Package: postgresql-8.3-prefix
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-8.3
-Description: Prefix Range module for PostgreSQL
- This PostgreSQL module provides the prefix_range datatype, allowing to
- index searches such as finding the longest prefix matching a telephone
- number, having prefixes in a table and telephone number as a parameter:
- .
-  select * from prefixes where prefix @> '0100091234';
- .
- The prefix column has to be of type prefix_range, and any text field
- can get indexed by the provided GiST opclass.
+Uploaders: Christoph Berg <myon@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), postgresql-server-dev-all (>= 148~)
+Standards-Version: 3.9.5
+Vcs-Browser: https://github.com/dimitri/prefix
+Vcs-Git: git://github.com/dimitri/prefix.git
+XS-Testsuite: autopkgtest
 
 Package: postgresql-8.4-prefix
 Architecture: any
@@ -57,3 +48,29 @@
  The prefix column has to be of type prefix_range, and any text field
  can get indexed by the provided GiST opclass.
 
+Package: postgresql-9.2-prefix
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.2
+Description: Prefix Range module for PostgreSQL
+ This PostgreSQL module provides the prefix_range datatype, allowing to
+ index searches such as finding the longest prefix matching a telephone
+ number, having prefixes in a table and telephone number as a parameter:
+ .
+  select * from prefixes where prefix @> '0100091234';
+ .
+ The prefix column has to be of type prefix_range, and any text field
+ can get indexed by the provided GiST opclass.
+
+Package: postgresql-9.3-prefix
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.3
+Description: Prefix Range module for PostgreSQL
+ This PostgreSQL module provides the prefix_range datatype, allowing to
+ index searches such as finding the longest prefix matching a telephone
+ number, having prefixes in a table and telephone number as a parameter:
+ .
+  select * from prefixes where prefix @> '0100091234';
+ .
+ The prefix column has to be of type prefix_range, and any text field
+ can get indexed by the provided GiST opclass.
+

## prefix 1.2.2

=== Makefile ===
PKGNAME = prefix
PKGVERS = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')
EXTVERS = $(shell awk -F "[= ']" '/default_version/ {print $$5}' prefix.control)

EXTENSION = prefix
MODULES = prefix
DATA = prefix--1.2.0.sql prefix--unpackaged--1.2.0.sql prefix--1.1--1.2.0.sql
DOCS = $(wildcard *.md)
# use extenstion in 9.1+
SETUPSQL = $(shell $(PG_CONFIG) --version | grep -qE " 8\.| 9\.0" && echo create_module || echo create_extension)
# "explain (costs off)" needs 9.0+ (and 9.0 needs expected/explain_1.out)
EXPLAINSQL = $(shell $(PG_CONFIG) --version | grep -qE " 8\." || echo explain)
REGRESS = $(SETUPSQL) prefix falcon $(EXPLAINSQL) queries

# support for 8.1 which didn't expose PG_VERSION_NUM -- another trick from ip4r
PREFIX_PGVER = $(shell echo $(VERSION) | awk -F. '{ print $$1*100+$$2 }')
PG_CPPFLAGS  = -DPREFIX_PGVER=$(PREFIX_PGVER)

PG_CONFIG ?= pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

deb: clean
	make -f debian/rules debian/control
	dh clean
	make -f debian/rules orig
	debuild -us -uc -sa

=== debian/changelog ===
prefix (1.2.2-1) unstable; urgency=medium

  * New upstream release
    + Allows building on 9.4+.
    + Regression test updates.
  * Add make to the test dependencies.

 -- Christoph Berg <myon@debian.org>  Sun, 26 Jan 2014 18:13:59 +0100

=== debian/control ===
Source: prefix
Section: database
Priority: extra
Maintainer: Dimitri Fontaine <dim@tapoueh.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7.0.50~), postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.5
Vcs-Browser: https://github.com/dimitri/prefix
Vcs-Git: git://github.com/dimitri/prefix.git
XS-Testsuite: autopkgtest

Package: postgresql-9.3-prefix
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.3
Description: Prefix Range module for PostgreSQL
 This PostgreSQL module provides the prefix_range datatype, allowing to
 index searches such as finding the longest prefix matching a telephone
 number, having prefixes in a table and telephone number as a parameter:
 .
  select * from prefixes where prefix @> '0100091234';
 .
 The prefix column has to be of type prefix_range, and any text field
 can get indexed by the provided GiST opclass.

=== debian/tests/control ===
Depends: @, make, postgresql-server-dev-all
Tests: installcheck
Restrictions: needs-root allow-stderr

## prefix 1.2.3

=== debian/changelog ===
prefix (1.2.3-3) unstable; urgency=medium

  * Upload to unstable for 9.4.

 -- Christoph Berg <myon@debian.org>  Sun, 27 Jul 2014 11:10:10 +0200

prefix (1.2.3-2) experimental; urgency=medium

  * B-D on pg-common 158 to build against 9.3 and 9.4.
  * Remove needs-root restriction from tests.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Jul 2014 23:45:42 +0200

prefix (1.2.3-1) unstable; urgency=medium

  * Update expected/explain_1.out (9.0 variant) for the latest changes.
  * Use pg_buildext installcheck.
  * Set team as maintainer.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Jun 2014 17:35:19 +0200

=== debian/control ===
Source: prefix
Section: database
Priority: extra
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7.0.50~), postgresql-server-dev-all (>= 158~)
Standards-Version: 3.9.5
Vcs-Browser: https://github.com/dimitri/prefix
Vcs-Git: git://github.com/dimitri/prefix.git
XS-Testsuite: autopkgtest

Package: postgresql-9.4-prefix
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.4
Description: Prefix Range module for PostgreSQL
 This PostgreSQL module provides the prefix_range datatype, allowing to
 index searches such as finding the longest prefix matching a telephone
 number, having prefixes in a table and telephone number as a parameter:
 .
  select * from prefixes where prefix @> '0100091234';
 .
 The prefix column has to be of type prefix_range, and any text field
 can get indexed by the provided GiST opclass.

## prefix 1.2.4

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), postgresql-server-dev-all (>= 158~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: https://github.com/dimitri/prefix
 Vcs-Git: git://github.com/dimitri/prefix.git
 XS-Testsuite: autopkgtest
 
-Package: postgresql-9.4-prefix
+Package: postgresql-9.5-prefix
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.4
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5
 Description: Prefix Range module for PostgreSQL
  This PostgreSQL module provides the prefix_range datatype, allowing to
  index searches such as finding the longest prefix matching a telephone

## prefix 1.2.5

=== debian/changelog ===
prefix (1.2.5-1.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg (jenkins-prefix-source-distribution=xenial-
    18, 945431da3c5a5ef6fd28f357356547d63e037790/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Thu, 29 Sep 2016 14:54:12 +0200

prefix (1.2.5-1) unstable; urgency=medium

  * New upstream version with 9.6 support.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Sep 2016 13:48:13 +0200

prefix (1.2.4-1) unstable; urgency=medium

  * New upstream version with 9.5 support.

 -- Christoph Berg <myon@debian.org>  Sat, 09 Jan 2016 10:23:24 +0100

## prefix 1.2.6

=== debian/changelog ===
prefix (1.2.6-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg (jenkins-prefix-source-distribution=sid-20,
    8b0a39e30c085562077c2323306c4cd0667e5e4d/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Tue, 26 Sep 2017 22:40:03 +0200

prefix (1.2.6-1) unstable; urgency=medium

  * New upstream version.
  * Upload to Debian with PostgreSQL 10 support.
  * Bump DH compat to 9.

 -- Christoph Berg <myon@debian.org>  Tue, 26 Sep 2017 22:36:02 +0200

=== debian/rules ===
#!/usr/bin/make -f

PKGVERS = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')
EXCLUDE = --exclude-vcs --exclude=debian

include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control

.PHONY: debian/control

override_dh_auto_build:
	# do nothing

override_dh_auto_install:
	# do nothing

override_dh_install:
	# build all supported versions
	+pg_buildext loop postgresql-%v-prefix
	# remove docs that belong elsewhere
	rm -rf debian/*/usr/share/doc/postgresql-doc-*

override_dh_installdocs:
	dh_installdocs --all README.md TESTS.md

orig: debian/control clean
	cd .. && tar czf prefix_$(PKGVERS).orig.tar.gz $(EXCLUDE) prefix

%:
	dh $@

=== debian/watch ===
version=3
https://github.com/dimitri/prefix/releases /dimitri/prefix/archive/v(.*).tar.gz

## prefix 1.2.7

=== debian/changelog ===
prefix (1.2.7-1) unstable; urgency=medium

  * New upstream version, removing support for 8.x and fixing compatibility
    with 10.x.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 05 Feb 2018 15:11:51 +0100

## prefix 1.2.8

=== debian/changelog ===
prefix (1.2.8-3) unstable; urgency=medium

  * Update PostgreSQL Maintainers address.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 07 Feb 2019 11:52:25 +0100

prefix (1.2.8-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 22:46:04 +0200

prefix (1.2.8-1) unstable; urgency=medium

  * New upstream version with PG11 support.

 -- Christoph Berg <myon@debian.org>  Tue, 29 May 2018 22:13:10 +0200

=== debian/control ===
Source: prefix
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
Standards-Version: 4.3.0
Vcs-Browser: https://github.com/dimitri/prefix
Vcs-Git: git://github.com/dimitri/prefix.git
XS-Testsuite: autopkgtest

Package: postgresql-11-prefix
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11
Description: Prefix Range module for PostgreSQL
 This PostgreSQL module provides the prefix_range datatype, allowing to
 index searches such as finding the longest prefix matching a telephone
 number, having prefixes in a table and telephone number as a parameter:
 .
  select * from prefixes where prefix @> '0100091234';
 .
 The prefix column has to be of type prefix_range, and any text field
 can get indexed by the provided GiST opclass.

## prefix 1.2.9~20220627.1511-4~1.git581eecc.pgdg18.04+1

=== debian/changelog ===
prefix (1.2.9~20220627.1511-4~1.git581eecc.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:54:51 +0200

prefix (1.2.9-4) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 11:54:51 +0200

prefix (1.2.9-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 10.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use secure URI in Vcs control header Vcs-Git.
  * Remove unnecessary XS-Testsuite field in debian/control.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * DH 13.
  * R³: no.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 22:16:06 +0200

prefix (1.2.9-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2019 11:13:12 +0100

prefix (1.2.9-1) unstable; urgency=medium

  * New upstream version with PG12 support.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Jun 2019 16:10:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,24 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://github.com/dimitri/prefix
-Vcs-Git: git://github.com/dimitri/prefix.git
-XS-Testsuite: autopkgtest
+Vcs-Git: https://github.com/dimitri/prefix.git
+
+Package: postgresql-10-prefix
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
+Description: Prefix Range module for PostgreSQL
+ This PostgreSQL module provides the prefix_range datatype, allowing to
+ index searches such as finding the longest prefix matching a telephone
+ number, having prefixes in a table and telephone number as a parameter:
+ .
+  select * from prefixes where prefix @> '0100091234';
+ .
+ The prefix column has to be of type prefix_range, and any text field
+ can get indexed by the provided GiST opclass.
 
 Package: postgresql-11-prefix
 Architecture: any
@@ -22,3 +35,41 @@
  The prefix column has to be of type prefix_range, and any text field
  can get indexed by the provided GiST opclass.
 
+Package: postgresql-12-prefix
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
+Description: Prefix Range module for PostgreSQL
+ This PostgreSQL module provides the prefix_range datatype, allowing to
+ index searches such as finding the longest prefix matching a telephone
+ number, having prefixes in a table and telephone number as a parameter:
+ .
+  select * from prefixes where prefix @> '0100091234';
+ .
+ The prefix column has to be of type prefix_range, and any text field
+ can get indexed by the provided GiST opclass.
+
+Package: postgresql-13-prefix
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
+Description: Prefix Range module for PostgreSQL
+ This PostgreSQL module provides the prefix_range datatype, allowing to
+ index searches such as finding the longest prefix matching a telephone
+ number, having prefixes in a table and telephone number as a parameter:
+ .
+  select * from prefixes where prefix @> '0100091234';
+ .
+ The prefix column has to be of type prefix_range, and any text field
+ can get indexed by the provided GiST opclass.
+
+Package: postgresql-14-prefix
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
+Description: Prefix Range module for PostgreSQL
+ This PostgreSQL module provides the prefix_range datatype, allowing to
+ index searches such as finding the longest prefix matching a telephone
+ number, having prefixes in a table and telephone number as a parameter:
+ .
+  select * from prefixes where prefix @> '0100091234';
+ .
+ The prefix column has to be of type prefix_range, and any text field
+ can get indexed by the provided GiST opclass.

## prefix 1.2.9~20220627.1511-4~1.git581eecc.pgdg20.04+1

=== debian/changelog ===
prefix (1.2.9~20220627.1511-4~1.git581eecc.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:54:51 +0200

## prefix 1.2.9~20220627.1511-4~1.git581eecc.pgdg21.10+1

=== debian/changelog ===
prefix (1.2.9~20220627.1511-4~1.git581eecc.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:54:51 +0200

## prefix 1.2.9~20220627.1511-4~1.git581eecc.pgdg22.04+1

=== debian/changelog ===
prefix (1.2.9~20220627.1511-4~1.git581eecc.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:54:51 +0200

## prefix 1.2.9~20220627.1511-4~1.git581eecc.pgdg90+1

=== debian/changelog ===
prefix (1.2.9~20220627.1511-4~1.git581eecc.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:54:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://github.com/dimitri/prefix

## prefix 1.2.9~20220627.1511-4~1.git581eecc.pgdg100+1

=== debian/changelog ===
prefix (1.2.9~20220627.1511-4~1.git581eecc.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:54:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://github.com/dimitri/prefix

## prefix 1.2.9~20220627.1511-4~1.git581eecc.pgdg110+1

=== debian/changelog ===
prefix (1.2.9~20220627.1511-4~1.git581eecc.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:54:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://github.com/dimitri/prefix

## prefix 1.2.9~20220627.1511-4~1.git581eecc.pgdg120+1

=== debian/changelog ===
prefix (1.2.9~20220627.1511-4~1.git581eecc.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:54:51 +0200

## prefix 1.2.9~20220627.1511-4~1.git581eecc.pgdg+1

=== debian/changelog ===
prefix (1.2.9~20220627.1511-4~1.git581eecc.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:54:51 +0200

## prefix 1.2.9

=== debian/control ===
Source: prefix
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://github.com/dimitri/prefix
Vcs-Git: https://github.com/dimitri/prefix.git

Package: postgresql-14-prefix
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
Description: Prefix Range module for PostgreSQL
 This PostgreSQL module provides the prefix_range datatype, allowing to
 index searches such as finding the longest prefix matching a telephone
 number, having prefixes in a table and telephone number as a parameter:
 .
  select * from prefixes where prefix @> '0100091234';
 .
 The prefix column has to be of type prefix_range, and any text field
 can get indexed by the provided GiST opclass.

=== debian/watch ===
version=4
https://github.com/dimitri/prefix/releases .*/v(.*).tar.gz

## prefix 1.2.10

=== Makefile ===
PKGNAME = prefix
EXTENSION = prefix
MODULES = prefix
DATA = prefix--1.2.0.sql prefix--unpackaged--1.2.0.sql prefix--1.1--1.2.0.sql
DOCS = $(wildcard *.md)
# "explain (costs off)" needs 9.0+ (and 9.0 needs expected/explain_1.out)
EXPLAINSQL = $(shell $(PG_CONFIG) --version | grep -qE " 8\." || echo explain)
REGRESS = create_extension prefix falcon $(EXPLAINSQL) queries

PG_CONFIG ?= pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

deb: clean
	make -f debian/rules debian/control
	dh clean
	make -f debian/rules orig
	debuild -us -uc -sa

=== debian/changelog ===
prefix (1.2.10-4) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117336)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 23:52:04 +0200

prefix (1.2.10-3) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 14:23:58 +0200

prefix (1.2.10-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 22:28:19 +0200

prefix (1.2.10-1) unstable; urgency=medium

  * New version with PG16 support.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jul 2023 15:15:08 +0200

prefix (1.2.9-5) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:59:28 +0200

=== debian/control ===
Source: prefix
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Dimitri Fontaine <dim@tapoueh.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Vcs-Browser: https://github.com/dimitri/prefix
Vcs-Git: https://github.com/dimitri/prefix.git

Package: postgresql-18-prefix
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Prefix Range module for PostgreSQL
 This PostgreSQL module provides the prefix_range datatype, allowing to
 index searches such as finding the longest prefix matching a telephone
 number, having prefixes in a table and telephone number as a parameter:
 .
  select * from prefixes where prefix @> '0100091234';
 .
 The prefix column has to be of type prefix_range, and any text field
 can get indexed by the provided GiST opclass.

=== debian/tests/control ===
Depends:
 make,
 postgresql-common-dev,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
https://github.com/dimitri/prefix/tags .*/v(.*).tar.gz
